# -*- coding: utf-8 -*-
from distutils.core import setup
from distutils.extension import Extension
import os
import subprocess
import glob



needed_dirs = ('/usr/share/lliurex-amic', '/usr/share/lliurex-amic/rsrc','/usr/share/lliurex-amic/grids','/usr/share/lliurex-amic/resources','/usr/share/lliurex-amic/resources/images','/usr/share/lliurex-amic/resources/audios','/etc/lliurex-amic')
for d in needed_dirs:
	try:
		print "** Creating directory: " + d
		os.makedirs(d)
	except:
		pass



setup(  name             = "lliurex-amic-player",
        version          = "2.0",
        author           = "Enrique Medina Gremaldos",
        author_email     = "lliurex_devel4@edu.gva.es",
        url              = "http://lliurex.net/home/",
        package_dir      = {'': 'src'},
        packages         = ['net','net.Lliurex','net.Lliurex.Amic'],
        data_files=[('/usr/share/applications/', glob.glob("desktops/*.desktop")),
                    ('/usr/bin/', ['bin/amic-player','bin/amic-launcher','bin/amic-preferences']),
                    ('/usr/share/lliurex-amic/rsrc',glob.glob("rsrc/*.glade")),
		('/usr/share/lliurex-amic/rsrc',glob.glob("rsrc/*.png"))
                    ],
     )


